Retrieve products

Retrieves a list of all of your store's products. You can use this endpoint to resolve the Yotpo product ID in order to update it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

How to use this endpoint

  • Required parameters are listed below. For the full list of properties, see About products.
  • For example responses, click the relevant status code on the right.
  • By default, this endpoint will return the first 10 products in the product catalog.
  • To retrieve more than 10 products in a paginated response, use the count and page parameters.

Example requests

GET /core/v3/stores/{store_id}/products
GET /core/v3/stores/{store_id}/products?page_info={page_info}
GET /core/v3/stores/{store_id}/products?page_info={page_info}&limit={limit}
GET /core/v3/stores/{store_id}/products?external_ids=ext1,ext2
Path Params
string
required

The store ID (app_key).

Query Params
string

Encoded page info.

int32
1 to 100
Defaults to 100

The number of results per page, from 1 to 100. Defaults to 100.

string

Return only entities specified by a comma-separated (without spaces) list of external IDs. The argument must be URL encoded. Max 100 IDs. Can't come with page_info or limit.

string

Return only products with these handles, as a comma-separated list (no spaces). Can't be combined with page_info or limit.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain